;============================================
; Solar OS sample 01
; to be used with Solar Assembler
;============================================


;----------------------------
; import from this DLL
;----------------------------
from_dll ..\sol_os_kernel.dll

;----------------------------
; the following functions
;----------------------------
import	API_Window_Create
import	API_Window_Set_Caption

;----------------------
; define sections
;----------------------
section "code"		class_code
section "data" 		class_data
section	"idata"		class_imports
section "reloc" 	class_relocs

;---------------------
;define entry point
;---------------------
.entry App_Init


;------------------------------
; includes
;------------------------------
include		..\sol32_inc.asm


.data
	app_main_handle		dd	0

.code

App_Init:
	
	;----------------------------------
	; create main application window
	;----------------------------------	
	mov	eax,FLAG_WND_ALPHA+FLAG_WND_MINI
	invoke	API_Window_Create,0,132,105,240,112,eax,WND_TYPE_TOP
	mov	[app_main_handle],eax
	ret


;******************************
;  END OF PROGRAM TEXT
;******************************
