;------------------------------------------------------
; SOLAR assembler
; Copyright (c) 2004-2008, Bogdan Valentin Ontanu,
; All rights reserved.
;------------------------------------------------------

;------------------------------------------------------------------
; This file is used to test Sol_ASM
; OMF format output
;------------------------------------------------------------------
import_dll 	kernel32.dll
import_func	ExitProcess
import_func	GetStdHandle
import_func	WriteFile

;-----------------------
; define sections
;-----------------------
section "code"	 	class_code
section "data"		class_data

;------------------------
; only for direct PE
;------------------------
#ifdef -pe32
	section "idata"		class_imports
#endif


STD_INPUT_HANDLE	EQU	-10
STD_OUTPUT_HANDLE	EQU	-11

.entry App_Init

.data

	out_handle	dd	0
	bytes_wr	dd	0

	msg_string	db	13,10," A message from SOL_ASM OMF linked App... ",13,10
			db	13,10,"------------------------------------------",13,10
			db	0
	msg_size	equ	$-msg_string
.code

	nop
	nop

App_Init:

	invoke	GetStdHandle,STD_OUTPUT_HANDLE

	mov	[out_handle],eax

	invoke	WriteFile,[out_handle],msg_string,msg_size,bytes_wr,0

	invoke	ExitProcess,0
	ret

















