;------------------------------------------
; Solar Assembler test file
;
; test PE64 output
;------------------------------------------
.use64

;------------
; imports
;------------
from_dll kernel32.dll
	import	ExitProcess
	import	GetModuleHandleA

from_dll user32.dll
	import	MessageBoxA

;---------------
; sections
;---------------
section 	"code" 		class_code
section 	"data" 		class_data
section 	"idata"		class_imports
section		"reloc"		class_relocs

.entry Start

;-----------------
; program text
;-----------------
.data

	caption		db	"Solar Assembler",0
	message		db	"Message box in Win64",0


.code

Start:
	nop
	nop

	;----------------
	; prepare stack
	;----------------
	sub	rsp,8*5

	;------------------
	; message box
	;------------------
	mov	r9,3		; uType
	mov	r8,caption	; lpCaption
	mov	rdx,message	; lpText
	mov	rcx,0		; hWnd

	call	MessageBoxA

	;-----------------
	; exitprocess
	;-----------------
	mov	rcx,0
	
	call	ExitProcess

	ret



